#
# spec file for package bibtool
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Guido Berhoerster.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bibtool
Version:        2.60
Release:        4.13
Summary:        Tool for Manipulating BibTeX Databases
License:        GPL-1.0+ and CC-BY-SA-3.0
Group:          Productivity/Publishing/TeX/Utilities
Url:            http://www.gerd-neugebauer.de/software/TeX/BibTool/index.en.html
Source0:        http://www.gerd-neugebauer.de/software/TeX/BibTool/BibTool-%{version}.tar.gz
Source1:        http://www.gerd-neugebauer.de/software/TeX/BibTool/BibTool-%{version}.tar.gz.asc
Source2:        %{name}.keyring
Patch1:         bibtool-use-system-regex.patch
BuildRequires:  automake
BuildRequires:  texlive-amsfonts
BuildRequires:  texlive-bibtex
BuildRequires:  texlive-devel
BuildRequires:  texlive-latex
BuildRequires:  texlive-makeindex
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
BibTool is a tool for manipulating BibTeX databases. BibTeX provides a means to
integrate citations into LaTeX documents. BibTool allows the manipulation of
BibTeX files which goes beyond the possibilities - and intentions - of BibTeX.

%package doc
Summary:        Documentation for bibtool
Group:          Documentation/Other
Requires:       %{name} = %{version}
BuildArch:      noarch

%description doc
This package contains the documentation for bibtool.

%prep
%setup -q -n BibTool
%patch1 -p1

%build
%configure
make %{?_smp_mflags}
ln -s makefile Makefile
make %{?_smp_mflags} doc
pdflatex Changes.tex
mkdir examples
sed 's|#!%{_prefix}/local/bin/tclsh|#!%{_bindir}/tclsh|' Tcl/bibtool.tcl \
    >examples/bibtool.tcl
sed 's|#!%{_prefix}/local/bin/perl|#!%{_bindir}/perl|' Perl/bibtool.pl \
    >examples/bibtool.pl

%install
make INSTALLPREFIX=%{buildroot} install
make INSTALLPREFIX=%{buildroot} install-man

%files
%defattr(-,root,root,-)
%doc COPYING README
%attr(0644,root,root) %{_mandir}/man1/bibtool.1*
%{_bindir}/bibtool
%{_libdir}/BibTool

%files doc
%defattr(-,root,root,-)
%doc COPYING doc/bibtool.pdf doc/ref_card.pdf doc/c_lib.pdf Changes.pdf examples/

%changelog
* Wed Jul 15 2015 cfarrell@suse.com
- license update: GPL-1.0+ and CC-BY-SA-3.0
  Various .sty files are CC-BY-SA-3.0 licensed
* Sat Jul 11 2015 mpluskal@suse.com
- Update to 2.60
  * The field name and other symbols may start with any allowed
    character.
  * Non-alpha characters at the beginning are treated as warining
    only.
- Use url for source
- Add gpg signature
- Small cleanups with spec-cleaner
* Tue Aug 26 2014 gber@opensuse.org
- update to version 2.57
  - Segfault in deTeX fixed.
  - Compiler warnings silenced.
  - Disambiguating numbers adapted to fit to documentation.
  - Configuration of regex fixed to work on Linux.
  - Documentation typos fixed.
  - Signed characters fro translation tables changed to unsigned.
  - Autoconf configuration improved.
- fix URL
- remove support for < 12.3
* Sat Aug 18 2012 gber@opensuse.org
- fix dependencies for oepnSUSE > 12.2
* Wed May 16 2012 gber@opensuse.org
- update to version 2.55
  - library biblatex.rsc added; it contains capitalizations of
    fields used in bibL TEX
  - fix for a misbehaviour when selecting entries according to an
    aux file with deeply nested @strings
* Tue Mar 13 2012 gber@opensuse.org
- update to version 2.54
  - command line parameter -V documented
  - resource key.make.alias added to create new @ALIAS records for
    any newly generated key
  - resource apply.alias added to expand the @ALIAS records
  - resource apply.include added to expand the @INCLUDE records
  - resource apply.modify added to expand the @MODIFY records
  - error message for -o without parameter added
  - fixed @ALIAS and @INCLUDE records not being printed
  - in tex.define spaces before the = are ignored instead of
    leading to unwanted definitions
  - the prepared makefiles for various operating systems missed an
    entry for crossref.[cho]
  - typo in help text and copyright year fixed
- do not make example scripts in order to prevent unwanted
  dependency-generation
- move examples to -doc subpackage and package the changelog
- removed obsolete bibtool-fix-libkpathsea-detection.patch and
  bibtool-honor-cflags.patch
* Thu Dec 22 2011 gber@opensuse.org
- spdx.org conforming license string
- added build dependency on automake
* Sat Apr 16 2011 gber@opensuse.org
- added bibtool-fix-libkpathsea-detection.patch and build with
  libkpathsea
* Sun Apr  3 2011 gber@opensuse.org
- initial packaging
